IF OBJECT_ID('dbo.fn_fco_var_nom') IS NOT NULL
    DROP FUNCTION dbo.fn_fco_var_nom
GO
CREATE FUNCTION dbo.fn_fco_var_nom
(
    @pch_compania char(4),
    @pch_var_nro char(2),
    @pbi_porcentaje bit = 0
)
RETURNS decimal(16,6)
-- JCL. Junio 22/05.
-- Retorna un valor de variables que contienen porcentaje
-- El valor devuelto va entre cero y uno, o NULL
AS
BEGIN
    DECLARE
        @vdc_tar_Aux decimal(16,6) -- Variable Auxiliar para interpretar tarifas

    SET @vdc_tar_Aux = NULL

    SELECT @vdc_tar_Aux = real FROM parametros_rh
    WHERE compania = @pch_compania AND parametro_rh = 'var_nom_' + @pch_var_nro

    IF @pbi_porcentaje = 0
    BEGIN
        IF @vdc_tar_Aux >= 1000 SET @vdc_tar_Aux = @vdc_tar_Aux / 100000
        IF @vdc_tar_Aux >= 1 SET @vdc_tar_Aux = @vdc_tar_Aux / 100
        IF @vdc_tar_Aux > 1 SET @vdc_tar_Aux = NULL
    END

    RETURN @vdc_tar_Aux
END
GO
GRANT EXECUTE ON dbo.fn_fco_var_nom TO PUBLIC
GO
